package com.ruoyi.buyerapi.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 设备工时记录导出bean
 *
 * @author ruoyi
 */
@ApiModel(value = "设备工时记录")
@Data
public class BuyerDeviceWorkHourExcel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 设备名称 */
    @ApiModelProperty(value = "设备名称")
    @Excel(name = "设备名称")
    private String name;

    /** 用户邮箱 */
    @ApiModelProperty(value = "设备编号")
    @Excel(name = "设备编号")
    private String code;

    /** 用户邮箱 */
    @ApiModelProperty(value = "所耗工时")
    @Excel(name = "所耗工时")
    private String cost;

}
