package com.ruoyi.buyerapi.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 设备工时分摊记录对象 根据项目统计
 *
 * @author ruoyi
 * @date 2022-09-22
 */
@Data
public class BuyerDeviceWorkhourByProject extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 项目负责人 */
    @Excel(name = "项目负责人")
    private String projectPeople;

    /** 设备人数 */
    @Excel(name = "设备数")
    private String deviceNum;

    /** 工时累积 */
    @Excel(name = "工时累积")
    private String totalWork;

    /** 折旧金额 */
    @Excel(name = "折旧金额")
    private String totalCost;

    /** 公司id */
    @Excel(name = "公司id")
    private String companyId;

    /** 专用设备数 */
    @Excel(name = "专用设备数")
    private String professionalNum;

    private Long year;
    private Long month;
    private String startDate;
    private String endDate;

}
