package com.ruoyi.buyerapi.service;

import java.util.List;
import com.ruoyi.buyerapi.domain.BuyerEmpWorkhourMonth;

/**
 * 员工工时分摊月报Service接口
 *
 * @author ruoyi
 * @date 2022-09-22
 */
public interface IBuyerEmpWorkhourMonthService
{
    /**
     * 查询员工工时分摊月报
     *
     * @param id 员工工时分摊月报主键
     * @return 员工工时分摊月报
     */
    public BuyerEmpWorkhourMonth selectBuyerEmpWorkhourMonthById(String id);

    /**
     * 查询员工工时分摊月报列表
     *
     * @param buyerEmpWorkhourMonth 员工工时分摊月报
     * @return 员工工时分摊月报集合
     */
    public List<BuyerEmpWorkhourMonth> selectBuyerEmpWorkhourMonthList(BuyerEmpWorkhourMonth buyerEmpWorkhourMonth);

    /**
     * 新增员工工时分摊月报
     *
     * @param buyerEmpWorkhourMonth 员工工时分摊月报
     * @return 结果
     */
    public int insertBuyerEmpWorkhourMonth(BuyerEmpWorkhourMonth buyerEmpWorkhourMonth);

    /**
     * 修改员工工时分摊月报
     *
     * @param buyerEmpWorkhourMonth 员工工时分摊月报
     * @return 结果
     */
    public int updateBuyerEmpWorkhourMonth(BuyerEmpWorkhourMonth buyerEmpWorkhourMonth);

    /**
     * 批量删除员工工时分摊月报
     *
     * @param ids 需要删除的员工工时分摊月报主键集合
     * @return 结果
     */
    public int deleteBuyerEmpWorkhourMonthByIds(String[] ids);

    /**
     * 删除员工工时分摊月报信息
     *
     * @param id 员工工时分摊月报主键
     * @return 结果
     */
    public int deleteBuyerEmpWorkhourMonthById(String id);

    /**
     * 删除员工工时分摊月报信息
     *
     * @param buyerEmpWorkhourMonth 员工工时分摊月报
     * @return 结果
     */
    public int deleteBuyerEmpWorkhourMonth(BuyerEmpWorkhourMonth buyerEmpWorkhourMonth);
}
